﻿/*
 * Kim Grauer - Jan 2005
  * Functionality - information proxy for ad info. When a movie name of ad_placeholder is called, an object of type
   * AdInfo is called to determine the tracking informaiton and playback filename.
*/

class AdInfo{
	var srch1:String="adMovie1 = &quot;";
	var srch2:String="adTrackStart1 = &quot;";
	var srch3:String="adTrack1 = &quot;";
	var srch4:String="adTrackEnd1 = &quot;";
	var srch5:String="motionClick1= &quot;";
	var eSrch5end:String="</script>";
	var srchDStr:String = "deliverPopDisclaimer(&quot;"
	var procComp:Boolean = false;
	var adFailed:Boolean = false;

	var endsrch:String = "&quot;";
	var adMovie:String = null;
	var startTrackUrl:String;
	var midTrackUrl:String;
	var endTrackUrl:String;
	var clickThruUrl:String;
	var hasDisclaimer:Boolean;
	var retVal:String;
	
	function getClickThruUrl():String {
		return(clickThruUrl);
	}
	function getStartTrackUrl():String {
		return(startTrackUrl);
	}
	function getMidTrackUrl():String {
		return(midTrackUrl);
	}
	function getEndTrackUrl():String {
		return(endTrackUrl);
	}
	function getHasDisclaimer():Boolean {
		return(hasDisclaimer);
	}
	
	function getMovie() {
		//trace("play ad movie: " +adMovie)
		return(adMovie)
	}
	
	function getProcComp():Boolean {
		return(procComp);
	}
	
	// break down the xml
	function AdInfo(rootInfo:String) {
		//trace("rootInfo: " +rootInfo)
		if (rootInfo == "") {
			 this.procComp = false;
			adFailed = true;
			} else {
		adMovie = getInfo(srch1, rootInfo);
		startTrackUrl = getInfo(srch2, rootInfo);
		midTrackUrl = getInfo(srch3, rootInfo);
		endTrackUrl = getInfo(srch4, rootInfo);
		clickThruUrl = getClickInfo(srch5, rootInfo);
		 this.procComp = true;
				trace("adMovie: " +adMovie);
				trace("startTrackUrl: " +startTrackUrl );
				trace("midTrackUrl: " +midTrackUrl );
				trace("endTrackUrl: " +endTrackUrl );
				trace("clickThruUrl: " +clickThruUrl );
		}
	}	
	
	function getInfo(whichStr:String, myInfo:String):String {
		var bSrch:Number = myInfo.indexOf(whichStr)  ;
		if (bSrch != -1) {
			bSrch = bSrch + + whichStr.length;
			var eSrch:Number = myInfo.indexOf(endsrch, bSrch);
			if (eSrch != -1) {
				retVal = myInfo.substr(bSrch, eSrch - bSrch);
			} else {
				retVal = null;
			}
			
		} else {
			retVal = null;
		}
		return(retVal);
	}
	
	function getClickInfo(whichStr:String, myInfo:String):String {
		var bSrch:Number = myInfo.indexOf(whichStr) + whichStr.length ;
		var eSrch:Number = myInfo.indexOf(eSrch5end, bSrch);
		retVal = myInfo.substr(bSrch, eSrch - bSrch);
		
		bSrch = retVal.indexOf(srchDStr);
		if (bSrch > 0 ) {
			hasDisclaimer =true;
			bSrch += srchDStr.length;
			eSrch = retVal.indexOf(endsrch, bSrch);
			retVal = retVal.substr(bSrch, eSrch-bSrch );
		} else {
			// no disclaimer so just a clickthru
			hasDisclaimer=false;
			bSrch = retVal.indexOf( endsrch );
			retVal = retVal.substr(0, bSrch );
		}
		return(retVal);
	}
	// end break down xml
}